Subject: [os2genau_digest] No. 859
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 17 May 2004 00:01:05 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 16 May 2004
 Number  859
**************************************************

Subjects for today
 
1  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!! : Ed Durrant <edurrant at bigpond dot net dot au>
2  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!! : Dennis Nolan <dennik at swiftdsl dot com dot au>
3  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!! : Dennis Nolan <dennik at swiftdsl dot com dot au>
4  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!! : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
5  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!! : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Sun, 16 May 2004 07:46:36 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!!

John Angelico wrote:

> In the BIOS I have a place to define available IRQs for PCI devices and I
> have them set up in ranked order (1st to 4th) as 10, 11, 5, 9 same as
> Windows.
>

Set these all to auto and try eCS again - I think eCS will see these as unavialble if
set in this manner as you have a PCMCIA, (ie ISA) card not a Cardbus (PCI) card.

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 16 May 2004 08:05:55 +1000
From:  Dennis Nolan <dennik at swiftdsl dot com dot au>
Subject:  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!!

John Angelico wrote:

>On Sat, 15 May 2004 05:05:43 +1000, Mike O'Connor wrote:
>
>  
>
>>John Angelico wrote:
>>
>>    
>>
>>>Hi Mike and Ed.
>>>
>>>Answering you in one email
>>>
>>>On Wed, 12 May 2004 22:57:27 +1000, Mike O'Connor wrote:
>>>
>>> 
>>>
>>>      
>>>
>>>>Hi John,
>>>>Just in case you haven't already been down this lane -:
>>>>Is the UID on that non-communicating machine registered with the other 
>>>>machines on the LAN?
>>>>   
>>>>
>>>>        
>>>>
>>>Sorry don't understand that abbrev. UID - please elaborate...
>>> 
>>>
>>>      
>>>
>>Hi John,
>>UID=User ID = user.
>>
>>    
>>
>
>Doh!! Thanks Mike.
>
>No they are not, but why should Windows work? 
>
>Latest developments.
>
>With the invaluable and highly expert help of Bob Traynor, I now have Win98
>installed on the 390E, in it's own primary C: partition. 
>
>I still have to trick LVM into adding Win98 to the Boot Manager menu again,
>but I can now confidently say that the hardware is not an issue. The PCMCIA
>sockets, Etherjet card, connectors, cable and the T-pieces are all working
>fine.
>
>Win98 assigns IRQ3 and IO address 1080-8F, then finds all the other machines
>in Network Neighbourhood, just like Win98 on the 760EL did. Funny that
>because we have switched off Com ports and IR port, but the BIOS shows IR
>Port "OS controlled." 
>
>However, in eCS I can't use IRQ3 because it generates a conflict with Com1 -
>eCS doesn't want to treat IRQ3 as available just because I switched off the
>port.
>
>I have been through all available IRQs without any further advance in eCS.
>
>I can assign IRQs 4, 5, 9, 10 or 11 and get to the desktop, but I can't raise
>a reply to ping from anything else on the network.
>
>IRQs 1,2, 3, 6, 8,12,13,14 and 15 are already occupied by other devices.
>
>I am about to try IRQ7 by disabling the LPT1 port.
>
>In the BIOS I have a place to define available IRQs for PCI devices and I
>have them set up in ranked order (1st to 4th) as 10, 11, 5, 9 same as
>Windows.
>
>BUT if I change them, I still get no improvement in eCS, whereas under
>Windows, changing the order (from what it had before) fixed the reported IRQ
>conflict.
>
>It is just so frustrating!!!
>
>I will have a rest Sunday, and then all I have left is 3 days before I am
>supposed to use the machine at seminars in Qld. It would be galling to have
>to burn a CD just to load a heap of data to the machine! 
>
>In between, of course, life goes on and I have to finish off a heap of work
>and get the GST paid to keep Mr Costello happy with his loverly budget
>surplus and tax cuts!
>
>
>
>Best regards
>John Angelico
>OS/2 SIG
>os2 at melbpc dot org dot au or 
>talldad at kepl dot com dot au
>___________________
>
>PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
>... Computers eliminate spare time.

> 

>
>
>  
>
Hi John

Firstly I'd burn the CD now and get that over and done with.

I'm no network guru, and I've unfortunatly deleted the previous messages 
in the thread, and because people make a lot of assumptions I'll try to 
recreate what I went through in getting my network running.

During boot-up you get no error messages.
The correct mac address is displayed.
If using it, DDNS starts ok.
The requester starts ok.
Peer starts ok.
That you can log on with "USERID" and "PASSWORD"
That from the command prompt you can issue the correct commands to see 
that lan0 is active, and also see the routes. ( I can't remember the 
commands offhand, but if needed I will look them up)
There was also a program which identifies the IC and mac address of the 
ethernet card, from memory it's included in the eCS 1.1 CD's. It also 
tells you the correct software for the card, which can be downloaded 
from the author's web site.
Assuming all the above work then maybe the assumption that the card will 
work in OS/2 is wrong.
I found several cards which purported to support OS/2 and supplied the 
drivers and protocols, but I could never get them to work.

Regards

Dennis.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sun, 16 May 2004 08:12:01 +1000
From:  Dennis Nolan <dennik at swiftdsl dot com dot au>
Subject:  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!!

John Angelico wrote:

>On Sat, 15 May 2004 05:05:43 +1000, Mike O'Connor wrote:
>
>  
>
>>John Angelico wrote:
>>
>>    
>>
>>>Hi Mike and Ed.
>>>
>>>Answering you in one email
>>>
>>>On Wed, 12 May 2004 22:57:27 +1000, Mike O'Connor wrote:
>>>
>>> 
>>>
>>>      
>>>
>>>>Hi John,
>>>>Just in case you haven't already been down this lane -:
>>>>Is the UID on that non-communicating machine registered with the other 
>>>>machines on the LAN?
>>>>   
>>>>
>>>>        
>>>>
>>>Sorry don't understand that abbrev. UID - please elaborate...
>>> 
>>>
>>>      
>>>
>>Hi John,
>>UID=User ID = user.
>>
>>    
>>
>
>Doh!! Thanks Mike.
>
>No they are not, but why should Windows work? 
>
>Latest developments.
>
>With the invaluable and highly expert help of Bob Traynor, I now have Win98
>installed on the 390E, in it's own primary C: partition. 
>
>I still have to trick LVM into adding Win98 to the Boot Manager menu again,
>but I can now confidently say that the hardware is not an issue. The PCMCIA
>sockets, Etherjet card, connectors, cable and the T-pieces are all working
>fine.
>
>Win98 assigns IRQ3 and IO address 1080-8F, then finds all the other machines
>in Network Neighbourhood, just like Win98 on the 760EL did. Funny that
>because we have switched off Com ports and IR port, but the BIOS shows IR
>Port "OS controlled." 
>
>However, in eCS I can't use IRQ3 because it generates a conflict with Com1 -
>eCS doesn't want to treat IRQ3 as available just because I switched off the
>port.
>
>I have been through all available IRQs without any further advance in eCS.
>
>I can assign IRQs 4, 5, 9, 10 or 11 and get to the desktop, but I can't raise
>a reply to ping from anything else on the network.
>
>IRQs 1,2, 3, 6, 8,12,13,14 and 15 are already occupied by other devices.
>
>I am about to try IRQ7 by disabling the LPT1 port.
>
>In the BIOS I have a place to define available IRQs for PCI devices and I
>have them set up in ranked order (1st to 4th) as 10, 11, 5, 9 same as
>Windows.
>
>BUT if I change them, I still get no improvement in eCS, whereas under
>Windows, changing the order (from what it had before) fixed the reported IRQ
>conflict.
>
>It is just so frustrating!!!
>
>I will have a rest Sunday, and then all I have left is 3 days before I am
>supposed to use the machine at seminars in Qld. It would be galling to have
>to burn a CD just to load a heap of data to the machine! 
>
>In between, of course, life goes on and I have to finish off a heap of work
>and get the GST paid to keep Mr Costello happy with his loverly budget
>surplus and tax cuts!
>
>
>
>Best regards
>John Angelico
>OS/2 SIG
>os2 at melbpc dot org dot au or 
>talldad at kepl dot com dot au
>___________________
>
>PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
>... Computers eliminate spare time.

> 

>
>
>  
>
PS

The program I mentioned is called nicpak

Regards

Dennis.

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sun, 16 May 2004 12:03:43 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!!

On Sun, 16 May 2004 07:46:36 +1000, Ed Durrant wrote:
> John Angelico wrote:
> 
> > In the BIOS I have a place to define available IRQs for PCI devices and I
> > have them set up in ranked order (1st to 4th) as 10, 11, 5, 9 same as
> > Windows.
> 
> Set these all to auto and try eCS again - I think eCS will see these as unavialble if
> set in this manner as you have a PCMCIA, (ie ISA) card not a Cardbus (PCI) card.
> Cheers/2
> Ed.

Ed,

From a very brief encounter with this laptop (IBM 390e)
I can say that there is _NO_ Auto setting on the bios PCI 
settings.!

Also, any IRQ assigned to PCI slot 1 is ALSO assigned to VGA.
The SAME IRQ was also being assigned (apparently) to the
Pcmcia slots.  This was reported by windows and was the reason 
windows could not initially get the pcmcia to work.  The Pcmcia
is not listed or referenced in the bios at all.

Windows worked properly when its hardware wizard was used
and turned off support for InfraRed device and the unused IRQ 
was assigned to the Pcmcia slots instead.

A possibility, John.
You might have to consider a bios update, here.:-
<http://www-307.ibm dot com/pc/support/site.wss/document.do?lndocid=DSHY-427MCG>

When you finish with your trip, I might be able to spend more time on
your problem.  Let me know if you want me to go further, when you
get back.

Regards,
Robert Traynor (BobT).
16 May 2004   12:01

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sun, 16 May 2004 13:02:12 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress!!

"Robert Traynor (BobT)" wrote:

> Ed,
>
> >From a very brief encounter with this laptop (IBM 390e)
> I can say that there is _NO_ Auto setting on the bios PCI
> settings.!
>
> Also, any IRQ assigned to PCI slot 1 is ALSO assigned to VGA.
> The SAME IRQ was also being assigned (apparently) to the
> Pcmcia slots.  This was reported by windows and was the reason
> windows could not initially get the pcmcia to work.  The Pcmcia
> is not listed or referenced in the bios at all.

Unfortunately I no longer have my TP390 however I did have it running with PCMCIA Ethernet
and Modem cards. As for it always assigning the first IRQ to VGA and PCMCIA (socket
services) I don't think this was the case on my TP390.

Your point about downloading and installing  the latest BIOS could very well be important.
I always keep my systems at the latest BIOS levels, so my TP390 would have been at that
level.

Cheers/2

Ed.

----------------------------------------------------------------------------------